ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceSessionFilter

- java.lang.Object
- - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceSessionFilter

-     public class VoiceSessionFilter
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VoiceSessionFilter.CallType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceSessionFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getAccountIds()`
    `VoiceSessionFilter.CallType` | `getCallType()`
    `java.util.Set<java.lang.Integer>` | `getContractIds()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDateFrom()`
    `java.util.Date` | `getDateTo()`
    `java.util.Set<java.lang.Integer>` | `getDeviceIds()`
    `long` | `getGroupMask()`
    `java.util.Date` | `getHourFrom()`
    `java.util.Date` | `getHourTo()`
    `java.lang.String` | `getLogin()`
    `java.util.Set<java.lang.Integer>` | `getServiceIds()`
    `boolean` | `isOnlyCharged()`
    `void` | `setAccountIds(java.util.Set<java.lang.Integer> accountIds)`
    `void` | `setCallType(VoiceSessionFilter.CallType callType)`
    `void` | `setContractIds(java.util.Set<java.lang.Integer> contractIds)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDateFrom(java.util.Date dateFrom)`
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setDeviceIds(java.util.Set<java.lang.Integer> deviceIds)`
    `void` | `setGroupMask(long groupMask)`
    `void` | `setHourFrom(java.util.Date hourFrom)`
    `void` | `setHourTo(java.util.Date hourTo)`
    `void` | `setLogin(java.lang.String login)`
    `void` | `setOnlyCharged(boolean onlyCharged)`
    `void` | `setServiceIds(java.util.Set<java.lang.Integer> serviceIds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceSessionFilter

          public VoiceSessionFilter()

  - ### Method Detail

    - #### getContractIds

          public java.util.Set<java.lang.Integer> getContractIds()

    - #### setContractIds

          public void setContractIds(java.util.Set<java.lang.Integer> contractIds)

    - #### getDateFrom

          public java.util.Date getDateFrom()

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getServiceIds

          public java.util.Set<java.lang.Integer> getServiceIds()

    - #### setServiceIds

          public void setServiceIds(java.util.Set<java.lang.Integer> serviceIds)

    - #### getDeviceIds

          public java.util.Set<java.lang.Integer> getDeviceIds()

    - #### setDeviceIds

          public void setDeviceIds(java.util.Set<java.lang.Integer> deviceIds)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getLogin

          public java.lang.String getLogin()

    - #### setLogin

          public void setLogin(java.lang.String login)

    - #### getAccountIds

          public java.util.Set<java.lang.Integer> getAccountIds()

    - #### setAccountIds

          public void setAccountIds(java.util.Set<java.lang.Integer> accountIds)

    - #### getHourFrom

          public java.util.Date getHourFrom()

    - #### setHourFrom

          public void setHourFrom(java.util.Date hourFrom)

    - #### getHourTo

          public java.util.Date getHourTo()

    - #### setHourTo

          public void setHourTo(java.util.Date hourTo)

    - #### getGroupMask

          public long getGroupMask()

    - #### setGroupMask

          public void setGroupMask(long groupMask)

    - #### isOnlyCharged

          public boolean isOnlyCharged()

    - #### setOnlyCharged

          public void setOnlyCharged(boolean onlyCharged)

    - #### getCallType

          public VoiceSessionFilter.CallType getCallType()

    - #### setCallType

          public void setCallType(VoiceSessionFilter.CallType callType)